## junit.framework
Class JUnit4TestAdapterCache

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<Description,Test>
              junit.framework.JUnit4TestAdapterCache

All Implemented Interfaces:
  Serializable, Cloneable, Map<Description,Test>

    public class JUnit4TestAdapterCache

extends HashMap<Description,Test>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`JUnit4TestAdapterCache()`

Method Summary
`Test` `asTest(Description description)`
`List<Test>` `asTestList(Description description)`
`static JUnit4TestAdapterCache` `getDefault()`
`RunNotifier` `getNotifier(TestResult result, JUnit4TestAdapter adapter)`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### JUnit4TestAdapterCache

    public JUnit4TestAdapterCache()

Method Detail

### getDefault

    public static JUnit4TestAdapterCache getDefault()

### asTest

    public Test asTest(Description description)

### getNotifier

    public RunNotifier getNotifier(TestResult result,
                                   JUnit4TestAdapter adapter)

### asTestList

    public List<Test> asTestList(Description description)

Copyright © 2002–2020 JUnit. All rights reserved.